Bug 134450 - postgresql-docs include only sgml and broken Makefile
postgresql-docs include only sgml and broken Makefile
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: 139550 147897 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-10-02 17:13 EDT by Dave Cook
Modified: 2013-07-02 23:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-23 23:37:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Cook 2004-10-02 17:13:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3)
Gecko/20040928 Firefox/0.10

Description of problem:
The postgresql-docs package includes only sgml source and a broken
Makefile (i.e. needed includes have the wrong path or are missing.)

Do you really expect the average user to build from sgml anyway?  HTML
should be fine, and the interested users can get the sgml source from
the src rpm or tarball.  This dir usually has HTML docs, so maybe this
is just a regression.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to find HTML docs in /usr/share/postgresql-docs-*
2. Try to build the sgml source with make

Actual Results:  The build fails

Makefile:6: ../../src/Makefile.global: No such file or directory
make: *** No rule to make target `../../src/Makefile.global'.  Stop.

Expected Results:  HTML files in /usr/share/doc/postgresql-docs-*

Additional info:
Comment 1 Tom Lane 2004-10-04 21:47:18 EDT
The Postgres docs are actually included in the base 'postgresql' package, both as to html 
and man formats (look under /usr/share/doc/postgresql-7.4.5/html for the former, and 
in /usr/share/man for the latter).  I'm honestly unclear on the point of including the SGML 
files in the distribution RPMs --- as you say, they can't be built into anything without 
additional parts of the original source tree, and the average user is unlikely to want to try.

My inclination is to either do nothing or remove the sgml subdirectory and Makefile from 
this package.
Comment 2 Tom Lane 2004-12-08 17:41:46 EST
*** Bug 139550 has been marked as a duplicate of this bug. ***
Comment 3 Tom Lane 2005-01-23 23:37:59 EST
These files have been removed from the 8.0 packaging of PostgreSQL.
Comment 4 Tom Lane 2005-02-12 12:08:55 EST
*** Bug 147897 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.